Create or replace a webhook
PUT
/harness/webhooks/{id}422 invalid_url, invalid_event_types, invalid_description.
Headers
Authorizationstring
Bearer <token>. A Hexel Studio access token for your organization.
X-Workspace-Idstring
The workspace the request acts in (ws_...). It never grants access by itself.
X-Environment-Idstring
The environment the request acts in (env_...). It never grants access by itself.
Body parameters
urlstring
An https URL.
event_typesarray of string
Event types or patterns such as task.*.
descriptionoptional string
Returns
200Replaced.Webhook
audiencestring
created_bystring
descriptionstring
environment_idstring
event_typesarray of string
idstring
last_erroroptional string
statestring
urlstring
workspace_idstring
Errors
- default